NoopAccessor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class NoopAccessor

    java.lang.Object
      org.hibernate.property.NoopAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class NoopAccessor

extends Object
implements PropertyAccessor

Used to declare properties not represented at the pojo level

Constructor Summary
`NoopAccessor()`

Method Summary
`Getter` | `getGetter(Class arg0, String arg1)` Create a "getter" for the named attribute
`Setter` | `getSetter(Class arg0, String arg1)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopAccessor

    public NoopAccessor()

Method Detail

### getGetter

    public Getter getGetter(Class arg0,
                            String arg1)
                     throws PropertyNotFoundException

  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Parameters:
    `arg0` - The class on which the property is defined.
    `arg1` - The name of the property.
  Returns:
    An appropriate getter.
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### getSetter

    public Setter getSetter(Class arg0,
                            String arg1)
                     throws PropertyNotFoundException

  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Parameters:
    `arg0` - The class on which the property is defined.
    `arg1` - The name of the property.
  Returns:
    An appropriate setter
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.